View Issue Details

IDProjectCategoryView StatusLast Update
0032641Open CASCADEOCCT:Codingpublic2021-11-02 21:09
Reporteraml Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032641: Coding - get rid of unused forward declarations [IGESAppli to LDOM]
Descriptioninclude-what-you-use is a great tool for code health improvement. It allows for detecting unused headers and forward declarations.

Packages from IGESAppli to LDOM (inclusively) are processed in this ticket.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032615 closedbugmaster Coding - get rid of unused forward declarations 

Activities

git

2021-10-25 07:50

administrator   ~0104846

Branch CR32641 has been created by aml.

SHA-1: 4b4e2c4ad36b13d761b8a701583a1c961ffe3c31


Detailed log of new commits:

Author: aml
Date: Mon Oct 25 07:50:25 2021 +0300

    0032641: Coding - get rid of unused forward declarations [IGESAppli to LDOM]

aml

2021-10-27 11:56

developer   ~0104894

Hi Kirill,

Could you please take a look at the patch?

Now, Jenkins seems to be ok:
http://jenkins-test-occt/view/CR32641-master-aml2/view/COMPARE/

smoskvin

2021-10-30 11:20

administrator   ~0104975

Combination -
OCCT branch : OCCT-760
master SHA - 0d186a91c07a6217cd132ec7ea03f1e6f7a2a9ce
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : OCCT-760 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17728.310000000427 / 17750.15000000046 [-0.12%]
Products
Total CPU difference: 11578.090000000113 / 11624.980000000118 [-0.40%]
Windows-64-VC14:
OCCT
Total CPU difference: 19746.84375 / 19683.796875 [+0.32%]
Products
Total CPU difference: 12740.0 / 10994.3125 [+15.88%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-02 21:09

administrator   ~0105024

Branch CR32641 has been deleted by mnt.

SHA-1: 4b4e2c4ad36b13d761b8a701583a1c961ffe3c31

Related Changesets

occt: master f706c128

2021-10-25 04:50:25

aml


Committer: smoskvin Details Diff
0032641: Coding - get rid of unused forward declarations [IGESAppli to LDOM] Affected Issues
0032641
mod - src/IGESAppli/IGESAppli.hxx Diff File
mod - src/IGESAppli/IGESAppli_ElementResults.hxx Diff File
mod - src/IGESAppli/IGESAppli_FiniteElement.hxx Diff File
mod - src/IGESAppli/IGESAppli_Flow.hxx Diff File
mod - src/IGESAppli/IGESAppli_FlowLineSpec.hxx Diff File
mod - src/IGESAppli/IGESAppli_LevelToPWBLayerMap.hxx Diff File
mod - src/IGESAppli/IGESAppli_NodalConstraint.hxx Diff File
mod - src/IGESAppli/IGESAppli_NodalDisplAndRot.hxx Diff File
mod - src/IGESAppli/IGESAppli_NodalResults.hxx Diff File
mod - src/IGESAppli/IGESAppli_Node.hxx Diff File
mod - src/IGESAppli/IGESAppli_PipingFlow.hxx Diff File
mod - src/IGESAppli/IGESAppli_PWBArtworkStackup.hxx Diff File
mod - src/IGESAppli/IGESAppli_ReadWriteModule.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolDrilledHole.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolElementResults.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFiniteElement.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFlow.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFlowLineSpec.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLevelFunction.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLevelToPWBLayerMap.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLineWidening.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalConstraint.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalDisplAndRot.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalResults.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNode.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPartNumber.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPinNumber.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPipingFlow.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPWBArtworkStackup.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPWBDrilledHole.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolReferenceDesignator.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolRegionRestriction.hxx Diff File
mod - src/IGESBasic/IGESBasic.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalReferenceFile.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalRefFileIndex.hxx Diff File
mod - src/IGESBasic/IGESBasic_Group.hxx Diff File
mod - src/IGESBasic/IGESBasic_GroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_OrderedGroup.hxx Diff File
mod - src/IGESBasic/IGESBasic_OrderedGroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_ReadWriteModule.hxx Diff File
mod - src/IGESBasic/IGESBasic_SingleParent.hxx Diff File
mod - src/IGESBasic/IGESBasic_SingularSubfigure.hxx Diff File
mod - src/IGESBasic/IGESBasic_SubfigureDef.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolAssocGroupType.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalReferenceFile.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFile.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileIndex.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileName.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefLibName.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefName.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolGroup.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolGroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolHierarchy.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolName.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolOrderedGroup.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolOrderedGroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSingleParent.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSingularSubfigure.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSubfigureDef.hxx Diff File
mod - src/IGESCAFControl/IGESCAFControl.hxx Diff File
mod - src/IGESConvGeom/IGESConvGeom.hxx Diff File
mod - src/IGESConvGeom/IGESConvGeom_GeomBuilder.hxx Diff File
mod - src/IGESData/IGESData.hxx Diff File
mod - src/IGESData/IGESData_FileProtocol.hxx Diff File
mod - src/IGESData/IGESData_FreeFormatEntity.hxx Diff File
mod - src/IGESData/IGESData_IGESDumper.hxx Diff File
mod - src/IGESData/IGESData_IGESEntity.hxx Diff File
mod - src/IGESData/IGESData_IGESModel.hxx Diff File
mod - src/IGESData/IGESData_IGESReaderData.hxx Diff File
mod - src/IGESData/IGESData_IGESWriter.hxx Diff File
mod - src/IGESData/IGESData_LevelListEntity.hxx Diff File
mod - src/IGESData/IGESData_ParamCursor.hxx Diff File
mod - src/IGESData/IGESData_ParamReader.hxx Diff File
mod - src/IGESData/IGESData_Protocol.hxx Diff File
mod - src/IGESData/IGESData_ReadWriteModule.hxx Diff File
mod - src/IGESData/IGESData_SingleParentEntity.hxx Diff File
mod - src/IGESData/IGESData_ToolLocation.hxx Diff File
mod - src/IGESData/IGESData_ViewKindEntity.hxx Diff File
mod - src/IGESDefs/IGESDefs.hxx Diff File
mod - src/IGESDefs/IGESDefs_AssociativityDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_AttributeDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_AttributeTable.hxx Diff File
mod - src/IGESDefs/IGESDefs_GenericData.hxx Diff File
mod - src/IGESDefs/IGESDefs_MacroDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_ReadWriteModule.hxx Diff File
mod - src/IGESDefs/IGESDefs_TabularData.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolAssociativityDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolAttributeDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolAttributeTable.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolGenericData.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolMacroDef.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolTabularData.hxx Diff File
mod - src/IGESDefs/IGESDefs_ToolUnitsData.hxx Diff File
mod - src/IGESDefs/IGESDefs_UnitsData.hxx Diff File
mod - src/IGESDimen/IGESDimen.hxx Diff File
mod - src/IGESDimen/IGESDimen_AngularDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_BasicDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_CenterLine.hxx Diff File
mod - src/IGESDimen/IGESDimen_CurveDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_DiameterDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionDisplayData.hxx Diff File
mod - src/IGESDimen/IGESDimen_DimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_FlagNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralLabel.hxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_GeneralSymbol.hxx Diff File
mod - src/IGESDimen/IGESDimen_LeaderArrow.hxx Diff File
mod - src/IGESDimen/IGESDimen_LinearDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_NewDimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_NewGeneralNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_PointDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_RadiusDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ReadWriteModule.hxx Diff File
mod - src/IGESDimen/IGESDimen_Section.hxx Diff File
mod - src/IGESDimen/IGESDimen_SectionedArea.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolAngularDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolBasicDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolCenterLine.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolCurveDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDiameterDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionDisplayData.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionTolerance.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolDimensionUnits.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolFlagNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolGeneralLabel.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolGeneralNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolGeneralSymbol.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolLeaderArrow.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolLinearDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolNewDimensionedGeometry.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolNewGeneralNote.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolOrdinateDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolPointDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolRadiusDimension.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolSection.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolSectionedArea.hxx Diff File
mod - src/IGESDimen/IGESDimen_ToolWitnessLine.hxx Diff File
mod - src/IGESDimen/IGESDimen_WitnessLine.hxx Diff File
mod - src/IGESDraw/IGESDraw.hxx Diff File
mod - src/IGESDraw/IGESDraw_CircArraySubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_ConnectPoint.hxx Diff File
mod - src/IGESDraw/IGESDraw_Drawing.hxx Diff File
mod - src/IGESDraw/IGESDraw_DrawingWithRotation.hxx Diff File
mod - src/IGESDraw/IGESDraw_LabelDisplay.hxx Diff File
mod - src/IGESDraw/IGESDraw_NetworkSubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_NetworkSubfigureDef.hxx Diff File
mod - src/IGESDraw/IGESDraw_PerspectiveView.hxx Diff File
mod - src/IGESDraw/IGESDraw_Planar.hxx Diff File
mod - src/IGESDraw/IGESDraw_ReadWriteModule.hxx Diff File
mod - src/IGESDraw/IGESDraw_RectArraySubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_SegmentedViewsVisible.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolCircArraySubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolConnectPoint.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolDrawing.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolDrawingWithRotation.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolLabelDisplay.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigureDef.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolPerspectiveView.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolPlanar.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolRectArraySubfigure.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolSegmentedViewsVisible.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolView.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolViewsVisible.hxx Diff File
mod - src/IGESDraw/IGESDraw_ToolViewsVisibleWithAttr.hxx Diff File
mod - src/IGESDraw/IGESDraw_View.hxx Diff File
mod - src/IGESDraw/IGESDraw_ViewsVisible.hxx Diff File
mod - src/IGESDraw/IGESDraw_ViewsVisibleWithAttr.hxx Diff File
mod - src/IGESGeom/IGESGeom.hxx Diff File
mod - src/IGESGeom/IGESGeom_Boundary.hxx Diff File
mod - src/IGESGeom/IGESGeom_BoundedSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_BSplineCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_BSplineSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_CircularArc.hxx Diff File
mod - src/IGESGeom/IGESGeom_CompositeCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_ConicArc.hxx Diff File
mod - src/IGESGeom/IGESGeom_CopiousData.hxx Diff File
mod - src/IGESGeom/IGESGeom_CurveOnSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_Direction.hxx Diff File
mod - src/IGESGeom/IGESGeom_Flash.hxx Diff File
mod - src/IGESGeom/IGESGeom_Line.hxx Diff File
mod - src/IGESGeom/IGESGeom_OffsetCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_OffsetSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_Plane.hxx Diff File
mod - src/IGESGeom/IGESGeom_Point.hxx Diff File
mod - src/IGESGeom/IGESGeom_ReadWriteModule.hxx Diff File
mod - src/IGESGeom/IGESGeom_RuledSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_SplineCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_SplineSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_SurfaceOfRevolution.hxx Diff File
mod - src/IGESGeom/IGESGeom_TabulatedCylinder.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBoundary.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBoundedSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBSplineCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolBSplineSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCircularArc.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCompositeCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolConicArc.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCopiousData.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolCurveOnSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolDirection.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolFlash.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolLine.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolOffsetCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolOffsetSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolPlane.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolPoint.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolRuledSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolSplineCurve.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolSplineSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolSurfaceOfRevolution.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolTabulatedCylinder.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolTransformationMatrix.hxx Diff File
mod - src/IGESGeom/IGESGeom_ToolTrimmedSurface.hxx Diff File
mod - src/IGESGeom/IGESGeom_TransformationMatrix.hxx Diff File
mod - src/IGESGeom/IGESGeom_TrimmedSurface.hxx Diff File
mod - src/IGESGraph/IGESGraph.hxx Diff File
mod - src/IGESGraph/IGESGraph_DefinitionLevel.hxx Diff File
mod - src/IGESGraph/IGESGraph_LineFontDefPattern.hxx Diff File
mod - src/IGESGraph/IGESGraph_ReadWriteModule.hxx Diff File
mod - src/IGESGraph/IGESGraph_TextDisplayTemplate.hxx Diff File
mod - src/IGESGraph/IGESGraph_TextFontDef.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolColor.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDefinitionLevel.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDrawingSize.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolHighLight.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolIntercharacterSpacing.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolLineFontDefPattern.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolLineFontDefTemplate.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolLineFontPredefined.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolNominalSize.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolPick.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolTextDisplayTemplate.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolTextFontDef.hxx Diff File
mod - src/IGESGraph/IGESGraph_ToolUniformRectGrid.hxx Diff File
mod - src/IGESGraph/IGESGraph_UniformRectGrid.hxx Diff File
mod - src/IGESSelect/IGESSelect.hxx Diff File
mod - src/IGESSelect/IGESSelect_FloatFormat.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBypassGroup.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectBypassSubfigure.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectDrawingFrom.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectFromDrawing.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectFromSingleView.hxx Diff File
mod - src/IGESSelect/IGESSelect_SelectSingleViewFrom.hxx Diff File
mod - src/IGESSelect/IGESSelect_ViewSorter.hxx Diff File
mod - src/IGESSolid/IGESSolid.hxx Diff File
mod - src/IGESSolid/IGESSolid_Block.hxx Diff File
mod - src/IGESSolid/IGESSolid_BooleanTree.hxx Diff File
mod - src/IGESSolid/IGESSolid_ConeFrustum.hxx Diff File
mod - src/IGESSolid/IGESSolid_Cylinder.hxx Diff File
mod - src/IGESSolid/IGESSolid_EdgeList.hxx Diff File
mod - src/IGESSolid/IGESSolid_Ellipsoid.hxx Diff File
mod - src/IGESSolid/IGESSolid_Face.hxx Diff File
mod - src/IGESSolid/IGESSolid_Loop.hxx Diff File
mod - src/IGESSolid/IGESSolid_ManifoldSolid.hxx Diff File
mod - src/IGESSolid/IGESSolid_ReadWriteModule.hxx Diff File
mod - src/IGESSolid/IGESSolid_RightAngularWedge.hxx Diff File
mod - src/IGESSolid/IGESSolid_SelectedComponent.hxx Diff File
mod - src/IGESSolid/IGESSolid_Shell.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidAssembly.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidInstance.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidOfLinearExtrusion.hxx Diff File
mod - src/IGESSolid/IGESSolid_SolidOfRevolution.hxx Diff File
mod - src/IGESSolid/IGESSolid_Sphere.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolBlock.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolBooleanTree.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolConeFrustum.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolConicalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolCylinder.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolCylindricalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolEdgeList.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolEllipsoid.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolFace.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolLoop.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolManifoldSolid.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolPlaneSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolRightAngularWedge.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSelectedComponent.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolShell.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidAssembly.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidInstance.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidOfLinearExtrusion.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSolidOfRevolution.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSphere.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolSphericalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolToroidalSurface.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolTorus.hxx Diff File
mod - src/IGESSolid/IGESSolid_ToolVertexList.hxx Diff File
mod - src/IGESSolid/IGESSolid_TopoBuilder.hxx Diff File
mod - src/IGESSolid/IGESSolid_Torus.hxx Diff File
mod - src/IGESSolid/IGESSolid_VertexList.hxx Diff File
mod - src/IGESToBRep/IGESToBRep.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_BasicCurve.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_BasicSurface.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_BRepEntity.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_IGESBoundary.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_TopoCurve.hxx Diff File
mod - src/IGESToBRep/IGESToBRep_TopoSurface.hxx Diff File
mod - src/IMeshData/IMeshData_Edge.hxx Diff File
mod - src/IMeshData/IMeshData_Face.hxx Diff File
mod - src/IMeshData/IMeshData_Model.hxx Diff File
mod - src/IMeshData/IMeshData_Wire.hxx Diff File
mod - src/IntAna/IntAna_Int3Pln.hxx Diff File
mod - src/IntAna/IntAna_IntConicQuad.hxx Diff File
mod - src/IntAna/IntAna_IntLinTorus.hxx Diff File
mod - src/IntAna/IntAna_IntQuadQuad.hxx Diff File
mod - src/IntAna/IntAna_QuadQuadGeo.hxx Diff File
mod - src/IntAna2d/IntAna2d_AnaIntersection.hxx Diff File
mod - src/IntAna2d/IntAna2d_IntPoint.hxx Diff File
mod - src/IntCurve/IntCurve_IntConicConic.hxx Diff File
mod - src/IntCurve/IntCurve_PConic.hxx Diff File
mod - src/IntCurvesFace/IntCurvesFace_Intersector.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_Intersection.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_IntersectionPoint.hxx Diff File
mod - src/IntCurveSurface/IntCurveSurface_IntersectionSegment.hxx Diff File
mod - src/Interface/Interface_Check.hxx Diff File
mod - src/Interface/Interface_CheckIterator.hxx Diff File
mod - src/Interface/Interface_CheckTool.hxx Diff File
mod - src/Interface/Interface_CopyControl.hxx Diff File
mod - src/Interface/Interface_CopyMap.hxx Diff File
mod - src/Interface/Interface_CopyTool.hxx Diff File
mod - src/Interface/Interface_EntityCluster.hxx Diff File
mod - src/Interface/Interface_EntityIterator.hxx Diff File
mod - src/Interface/Interface_EntityList.hxx Diff File
mod - src/Interface/Interface_FileReaderData.hxx Diff File
mod - src/Interface/Interface_FileReaderTool.hxx Diff File
mod - src/Interface/Interface_GeneralModule.hxx Diff File
mod - src/Interface/Interface_Graph.hxx Diff File
mod - src/Interface/Interface_GraphContent.hxx Diff File
mod - src/Interface/Interface_GTool.hxx Diff File
mod - src/Interface/Interface_HGraph.hxx Diff File
mod - src/Interface/Interface_InterfaceModel.hxx Diff File
mod - src/Interface/Interface_MSG.hxx Diff File
mod - src/Interface/Interface_ParamList.hxx Diff File
mod - src/Interface/Interface_ParamSet.hxx Diff File
mod - src/Interface/Interface_Protocol.hxx Diff File
mod - src/Interface/Interface_ReaderModule.hxx Diff File
mod - src/Interface/Interface_ReportEntity.hxx Diff File
mod - src/Interface/Interface_ShareFlags.hxx Diff File
mod - src/Interface/Interface_ShareTool.hxx Diff File
mod - src/Interface/Interface_Static.hxx Diff File
mod - src/Interface/Interface_TypedValue.hxx Diff File
mod - src/Interface/Interface_UndefinedContent.hxx Diff File
mod - src/Intf/Intf.hxx Diff File
mod - src/Intf/Intf_Interference.hxx Diff File
mod - src/Intf/Intf_InterferencePolygon2d.hxx Diff File
mod - src/Intf/Intf_Polygon2d.hxx Diff File
mod - src/Intf/Intf_SectionLine.hxx Diff File
mod - src/Intf/Intf_SectionPoint.hxx Diff File
mod - src/Intf/Intf_TangentZone.hxx Diff File
mod - src/Intf/Intf_Tool.hxx Diff File
mod - src/IntImpParGen/IntImpParGen.hxx Diff File
mod - src/IntPatch/IntPatch_ALine.hxx Diff File
mod - src/IntPatch/IntPatch_GLine.hxx Diff File
mod - src/IntPatch/IntPatch_HCurve2dTool.hxx Diff File
mod - src/IntPatch/IntPatch_Line.hxx Diff File
mod - src/IntPatch/IntPatch_Point.hxx Diff File
mod - src/IntPatch/IntPatch_PolyArc.hxx Diff File
mod - src/IntPatch/IntPatch_Polygo.hxx Diff File
mod - src/IntPatch/IntPatch_PolyLine.hxx Diff File
mod - src/IntPatch/IntPatch_RLine.hxx Diff File
mod - src/IntPatch/IntPatch_RstInt.hxx Diff File
mod - src/IntPatch/IntPatch_WLine.hxx Diff File
mod - src/IntPolyh/IntPolyh_MaillageAffinage.hxx Diff File
mod - src/IntPolyh/IntPolyh_Triangle.hxx Diff File
mod - src/IntRes2d/IntRes2d_Domain.hxx Diff File
mod - src/IntRes2d/IntRes2d_Intersection.hxx Diff File
mod - src/IntRes2d/IntRes2d_IntersectionPoint.hxx Diff File
mod - src/IntRes2d/IntRes2d_IntersectionSegment.hxx Diff File
mod - src/IntRes2d/IntRes2d_Transition.hxx Diff File
mod - src/Intrv/Intrv_Intervals.hxx Diff File
mod - src/IntSurf/IntSurf_InteriorPoint.hxx Diff File
mod - src/IntSurf/IntSurf_LineOn2S.hxx Diff File
mod - src/IntSurf/IntSurf_PathPoint.hxx Diff File
mod - src/IntSurf/IntSurf_PntOn2S.hxx Diff File
mod - src/IntSurf/IntSurf_Transition.hxx Diff File
mod - src/IntTools/IntTools_BeanFaceIntersector.hxx Diff File
mod - src/IntTools/IntTools_CommonPrt.hxx Diff File
mod - src/IntTools/IntTools_Context.hxx Diff File
mod - src/IntTools/IntTools_EdgeEdge.hxx Diff File
mod - src/IntTools/IntTools_EdgeFace.hxx Diff File
mod - src/IntTools/IntTools_FClass2d.hxx Diff File
mod - src/IntTools/IntTools_PntOn2Faces.hxx Diff File
mod - src/IntTools/IntTools_PntOnFace.hxx Diff File
mod - src/IntTools/IntTools_ShrunkRange.hxx Diff File
mod - src/IntTools/IntTools_SurfaceRangeSample.hxx Diff File
mod - src/IntTools/IntTools_WLineTool.hxx Diff File
mod - src/IntWalk/IntWalk_PWalking.hxx Diff File
mod - src/LDOM/LDOM_Attr.hxx Diff File
mod - src/LDOM/LDOM_BasicAttribute.hxx Diff File
mod - src/LDOM/LDOM_BasicElement.hxx Diff File
mod - src/LDOM/LDOM_BasicNode.hxx Diff File
mod - src/LDOM/LDOM_BasicText.hxx Diff File
mod - src/LDOM/LDOM_Document.hxx Diff File
mod - src/LDOM/LDOM_Element.hxx Diff File
mod - src/LDOM/LDOM_MemManager.hxx Diff File

Issue History

Date Modified Username Field Change
2021-10-25 07:49 aml New Issue
2021-10-25 07:49 aml Assigned To => aml
2021-10-25 07:50 aml Summary Coding - get rid of unsused forward declarations [IGESAppli to LDOM] => Coding - get rid of unused forward declarations [IGESAppli to LDOM]
2021-10-25 07:50 git Note Added: 0104846
2021-10-25 17:36 aml Relationship added child of 0032615
2021-10-27 11:56 aml Note Added: 0104894
2021-10-27 11:56 aml Assigned To aml => kgv
2021-10-27 11:56 aml Status new => resolved
2021-10-27 11:56 aml Steps to Reproduce Updated
2021-10-27 12:07 kgv Test case number => N/A
2021-10-27 12:07 kgv Assigned To kgv => bugmaster
2021-10-27 12:07 kgv Status resolved => reviewed
2021-10-30 11:20 smoskvin Note Added: 0104975
2021-10-30 11:20 smoskvin Status reviewed => tested
2021-11-02 17:57 smoskvin Changeset attached => occt master f706c128
2021-11-02 17:57 smoskvin Assigned To bugmaster => smoskvin
2021-11-02 17:57 smoskvin Status tested => verified
2021-11-02 17:57 smoskvin Resolution open => fixed
2021-11-02 21:09 git Note Added: 0105024